# NGINX Ingress

[![Build Status](https://travis-ci.org/kubernetes/ingress-nginx.svg?branch=master)](https://travis-ci.org/kubernetes/ingress-nginx) 
[![Coverage Status](https://coveralls.io/repos/github/kubernetes/ingress-nginx/badge.svg?branch=master)](https://coveralls.io/github/kubernetes/ingress-nginx?branch=master) 
[![Go Report Card](https://goreportcard.com/badge/github.com/kubernetes/ingress-nginx)](https://goreportcard.com/report/github.com/kubernetes/ingress-nginx) 
[![GoDoc](https://godoc.org/github.com/kubernetes/ingress-nginx?status.svg)](https://godoc.org/github.com/kubernetes/ingress-nginx) 

## Description

This repository contains the NGINX controller built around the [Kubernetes Ingress resource](http://kubernetes.io/docs/user-guide/ingress/).

The GCE ingress controller was moved to [github.com/kubernetes/ingress-gce](https://github.com/kubernetes/ingress-gce).

## Navigation

* Learn more about using Ingress
     * See our user documentation on [k8s.io](http://kubernetes.io/docs/user-guide/ingress/)
     * Follow through to the respective platform specific [examples](examples/README.md)
* Write your own Ingress controller
    * See our [developer documentation](docs/dev/README.md)
* Deploy existing Ingress controllers
    * See our [admin documentation](docs/admin.md)
* Contribute
    * See the [contributor guidelines](CONTRIBUTING.md)
* Debug
    * Peruse the [FAQ section](docs/faq/README.md)
    * Ask on one of the [user-support channels](CONTRIBUTING.md#support-channels)
